Update a tag
curl --request PATCH \
--url https://api.tella.com/v1/tags/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"color": "#6366f1",
"description": "<string>",
"name": "API"
}
'import requests
url = "https://api.tella.com/v1/tags/{id}"
payload = {
"color": "#6366f1",
"description": "<string>",
"name": "API"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({color: '#6366f1', description: '<string>', name: 'API'})
};
fetch('https://api.tella.com/v1/tags/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tag": {
"color": "#6366f1",
"description": "Product demo recordings",
"id": "tag_abc123def456",
"name": "Demo",
"scope": "workspace"
}
}{
"error": {
"code": "bad_request",
"doc_url": "https://tella.tv/docs/api-reference/errors#bad-request",
"message": "The request was malformed or contained invalid parameters."
}
}{
"error": {
"code": "unauthorized",
"doc_url": "https://tella.tv/docs/api-reference/errors#unauthorized",
"message": "Authentication is required. Provide a valid API key."
}
}{
"error": {
"code": "forbidden",
"doc_url": "https://tella.tv/docs/api-reference/errors#forbidden",
"message": "You don't have permission to access this resource."
}
}{
"error": {
"code": "not_found",
"doc_url": "https://tella.tv/docs/api-reference/errors#not-found",
"message": "The requested resource was not found."
}
}{
"error": {
"code": "unprocessable_entity",
"doc_url": "https://tella.tv/docs/api-reference/errors#unprocessable-entity",
"message": "The request was well-formed but contained semantic errors."
}
}{
"error": {
"code": "rate_limit_exceeded",
"doc_url": "https://tella.tv/docs/api-reference/errors#rate-limit-exceeded",
"message": "You have exceeded the rate limit. Please slow down."
}
}{
"error": {
"code": "internal_server_error",
"doc_url": "https://tella.tv/docs/api-reference/errors#internal-server-error",
"message": "An unexpected error occurred on the server."
}
}Tags
Update a tag
Update a tag’s name, color and/or description. Private tags can only be updated by their creator.
PATCH
/
v1
/
tags
/
{id}
Update a tag
Authorizations
API key obtained from your Tella account settings
Path Parameters
Tag ID
Example:
"tag_abc123def456"
Body
application/json
Request body for updating a tag. At least one field is required.
Response
OK
The updated tag
A tag used to categorize videos
Show child attributes
Show child attributes
Was this page helpful?
⌘I